{ pkgs, ... }:

{
  programs.ghostty = {
    enable = true;
    package = pkgs.ghostty;
    settings  = {
      theme = "nord";
      clipboard-read = "allow";
      clipboard-write = "allow";
      copy-on-select = "clipboard";
      background-opacity = 0.65;
      background-blur = 5;
      font-size = 15;
      app-notifications = "no-clipboard-copy";
    };
    installBatSyntax = true;
    installVimSyntax = true;
    enableZshIntegration = true;
    enableBashIntegration = true;
  };
}